gtk.FileChooserDialog
Prev | The gtk Class Reference | Next

## gtk.FileChooserDialog

gtk.FileChooserDialog — a file chooser dialog, suitable for "File/Open" or "File/Save" commands(new in PyGTK 2.4)

## Synopsis

    class gtk.FileChooserDialog(gtk.Dialog, gtk.FileChooser):
        gtk.FileChooserDialog(title=None, parent=None, action=gtk.FILE_CHOOSER_ACTION_OPEN, buttons=None, backend=None)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Window
                +-- gtk.Dialog
                  +-- gtk.FileChooserDialog (implements gtk.FileChooser)

## gtk.FileChooserDialog Properties

gtk.FileChooser Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Window Properties

gtk.Dialog Properties

## gtk.FileChooserDialog Style Properties

gtk.Widget Style Properties

gtk.Dialog Style Properties

## gtk.FileChooserDialog Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Window Signal Prototypes

gtk.Dialog Signal Prototypes

gtk.FileChooser Signal Prototypes

## Description

### Note

This widget is available in PyGTK 2.4 and above.

`gtk.FileChooserDialog` is a dialog box suitable for use with "File/Open" or "File/Save as" commands. This widget works by putting a `gtk.FileChooserWidget` inside a `gtk.Dialog`. It implements the `gtk.FileChooser` interface, so you can use all of the `gtk.FileChooser` methods, signals and properties on the file chooser dialog as well as those for `gtk.Dialog`.

Note that `gtk.FileChooserDialog` does not have any methods of its own. Instead, you should use the methods and signals that work on a `gtk.FileChooser`.

## Constructor

        gtk.FileChooserDialog(title=None, parent=None, action=gtk.FILE_CHOOSER_ACTION_OPEN, buttons=None, backend=None)

`title` : | The title of the dialog
`parent` : | The transient parent of the dialog, or `None`
`action` : | The open or save mode for the dialog - one of: `gtk.FILE_CHOOSER_ACTION_OPEN`, `gtk.FILE_CHOOSER_ACTION_SAVE`, `gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER` or `gtk.FILE_CHOOSER_ACTION_CREATE_FOLDER`.
`buttons` : | a tuple containing button label-response id pairs or `None`
`backend` : | The name of the specific filesystem backend to use.
Returns : | a new `gtk.FileChooserDialog`

### Note

This constructor is available in PyGTK 2.4 and above.

Creates a new `gtk.FileChooserDialog`. The constructor can be invoked with the optional parameters: `title`, `parent`, `action`, `buttons` and `backend`. This constructor is analogous to the gtk.Dialog() constructor.

Prev | Up | Next
gtk.FileChooserButton | Home | gtk.FileChooserWidget